Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/ranks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"name": "<string>",
"external_id": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/ranks/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"name": "<string>",
"external_id": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'rank',
attributes: {name: '<string>', external_id: '<string>'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/ranks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"external_id": "<string>"
},
"relationships": {},
"meta": {
"deletable": true,
"primary_appointments_count": 123
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Updates a rank. Only available at institution admin permission levels.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/ranks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"name": "<string>",
"external_id": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/ranks/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"name": "<string>",
"external_id": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'rank',
attributes: {name: '<string>', external_id: '<string>'},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/ranks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "rank",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"external_id": "<string>"
},
"relationships": {},
"meta": {
"deletable": true,
"primary_appointments_count": 123
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
rank updated
Show child attributes